com.android.agf.fragments

## Class Base_WebViewFragment.InsideWebViewClient

- java.lang.Object
- - android.webkit.WebViewClient
  - - com.android.agf.fragments.Base_WebViewFragment.InsideWebViewClient

- Enclosing class:
    Base_WebViewFragment

       class Base_WebViewFragment.InsideWebViewClient
      extends WebViewClient

  classe local amb el webviewclient modificant la crida base
  Author:
    albert

- - ### Field Summary

    - ### Fields inherited from class android.webkit.WebViewClient

      `ERROR_AUTHENTICATION, ERROR_BAD_URL, ERROR_CONNECT, ERROR_FAILED_SSL_HANDSHAKE, ERROR_FILE, ERROR_FILE_NOT_FOUND, ERROR_HOST_LOOKUP, ERROR_IO, ERROR_PROXY_AUTHENTICATION, ERROR_REDIRECT_LOOP, ERROR_TIMEOUT, ERROR_TOO_MANY_REQUESTS, ERROR_UNKNOWN, ERROR_UNSUPPORTED_AUTH_SCHEME, ERROR_UNSUPPORTED_SCHEME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Base_WebViewFragment.InsideWebViewClient()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `shouldOverrideUrlLoading(WebView view, String url)`

    - ### Methods inherited from class android.webkit.WebViewClient

      `doUpdateVisitedHistory, onFormResubmission, onLoadResource, onPageFinished, onPageStarted, onReceivedError, onReceivedHttpAuthRequest, onReceivedLoginRequest, onReceivedSslError, onScaleChanged, onTooManyRedirects, onUnhandledKeyEvent, shouldInterceptRequest, shouldOverrideKeyEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Base_WebViewFragment.InsideWebViewClient

          Base_WebViewFragment.InsideWebViewClient()

  - ### Method Detail

    - #### shouldOverrideUrlLoading

          public boolean shouldOverrideUrlLoading(WebView view,
                                         String url)

      Overrides:
        `shouldOverrideUrlLoading` in class `WebViewClient`